net.sf.jasperreports.repo

## Class FileRepositoryService

- java.lang.Object
- - net.sf.jasperreports.repo.FileRepositoryService

- All Implemented Interfaces:
    RepositoryService, StreamRepositoryService

      public class FileRepositoryService
      extends java.lang.Object
      implements StreamRepositoryService

  Version:
    $Id: FileRepositoryService.java 6886 2014-02-11 15:03:09Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileRepositoryService(JasperReportsContext jasperReportsContext, java.lang.String root, boolean resolveAbsolutePath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getInputStream(java.lang.String uri)`
    `java.io.OutputStream` | `getOutputStream(java.lang.String uri)`
    `Resource` | `getResource(java.lang.String uri)`
    `<K extends Resource> K` | `getResource(java.lang.String uri, java.lang.Class<K> resourceType)`
    `java.lang.String` | `getRoot()`
    `void` | `saveResource(java.lang.String uri, Resource resource)`
    `void` | `setRoot(java.lang.String root)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileRepositoryService

          public FileRepositoryService(JasperReportsContext jasperReportsContext,
                               java.lang.String root,
                               boolean resolveAbsolutePath)

  - ### Method Detail

    - #### setRoot

          public void setRoot(java.lang.String root)

    - #### getRoot

          public java.lang.String getRoot()

    - #### getInputStream

          public java.io.InputStream getInputStream(java.lang.String uri)

      Specified by:
        `getInputStream` in interface `StreamRepositoryService`

    - #### getOutputStream

          public java.io.OutputStream getOutputStream(java.lang.String uri)

      Specified by:
        `getOutputStream` in interface `StreamRepositoryService`

    - #### getResource

          public Resource getResource(java.lang.String uri)

      Specified by:
        `getResource` in interface `RepositoryService`

    - #### saveResource

          public void saveResource(java.lang.String uri,
                          Resource resource)

      Specified by:
        `saveResource` in interface `RepositoryService`

    - #### getResource

          public <K extends Resource> K getResource(java.lang.String uri,
                                           java.lang.Class<K> resourceType)

      Specified by:
        `getResource` in interface `RepositoryService`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com